haskore-0.2.0.3: The Haskore Computer Music System

Safe Haskell | Safe-Inferred

Medium.Controlled

# Documentation

class C medium where Source

Methods

control :: control -> medium control a -> medium control aSource

switchBinary :: (a -> b) -> (medium control a -> medium control a -> b) -> (medium control a -> medium control a -> b) -> (control -> medium control a -> b) -> b -> medium control a -> bSource

switchList :: (a -> b) -> ([medium control a] -> b) -> ([medium control a] -> b) -> (control -> medium control a -> b) -> medium control a -> bSource

Instances

C T |

foldList :: C medium => (a -> b) -> ([b] -> b) -> ([b] -> b) -> (c -> b -> b) -> medium c a -> bSource

foldBin :: C medium => (a -> b) -> (b -> b -> b) -> (b -> b -> b) -> (c -> b -> b) -> b -> medium c a -> bSource